#
# spec file for package kompose
#
# Copyright (c) 2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kompose
Version:        1.19.0
Release:        lp152.1.4
Summary:        Go from Docker Compose to Kubernetes
License:        Apache-2.0
Group:          Development/Tools/Other
Url:            http://kompose.io
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM kompose-make-pie.patch sweiberg@suse.com -- use pie to fix lint-warning
Patch1:         kompose-make-pie.patch
BuildRequires:  make
BuildRequires:  go >= 1.6
BuildRequires:  git
# necessary for SLE15, Leap 15, Tumbleweed and some archs (no problem for other releases as well)
BuildRequires:  python-PyYAML
#!BuildIgnore:  python2-PyYAML

%define GONS github.com/kubernetes
%define SRCDIR src/%{GONS}/%{name}

%description
kompose is a tool to help users who are familiar with docker-compose move to Kubernetes. kompose takes a Docker Compose file and translates it into Kubernetes resources. kompose is a convenience tool to go from local Docker development to managing your application with Kubernetes. Transformation of the Docker Compose format to Kubernetes resources manifest may not be exact, but it helps tremendously when first deploying an application on Kubernetes.

%prep
%setup -q
%patch1 -p1
mkdir -p %{SRCDIR}
cd %{SRCDIR}
tar xf %{S:0} --strip 1

%build
export GOPATH=$(pwd)
make %{?_smp_mflags} bin

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 %{name} %{buildroot}/%{_bindir}/

%post
%postun

%files
%{_bindir}/%{name}
%license LICENSE
%doc CHANGELOG.md README.md

%changelog
* Wed Nov 27 2019 Stefan Weiberg <sweiberg@suse.com>
- Update to version 1.19.0:
  * Updated dependencies for Docker Compose 3.5+ (#1120)
  * Fixed parser bug (#1121)
  * Made Kompose go get-able again (#1139)
  * Bug fix for container name (#1141)
  * Includes the ability to build a Snap (#1153)
  * Added Dockerfile (#1101)
  * Copied Service Labels to Deployment Pod Spec thanks to @alanjds (#1166)
  * Binaries are now statically built (#1169)
  * Updated help output for kompose convert (#1171)
* Mon Apr  1 2019 limux <sweiberg@suse.com>
- Update to version 1.18.0:
  * 1.18.0 Release (#1108)
  * Add kompose.image-pull-secret and kompose.image-pull-policy (#1091)
  * Support multiple hostnames on expose label in service for Kubernetes (#1092)
  * Update introduction.md (#1090)
  * Add label support to named volumes in docker compose v3 to Kubernetes (#1083)
  * Fix log output specific warning info (#1084)
  * fix typo: generting -> generating
  * delete excess code
  * Fix typos: accecpts -> accepts
* Thu Sep 13 2018 Stefan Weiberg <sweiberg@suse.com>
- Update to version 1.16.0:
  * 1.16.0 Release (#1055)
  * Add installation instructions for openSUSE/SLE (#1050)
  * Fix environment with env_file bug
  * Add surajnarwade in OWNER file (#1047)
  * Unit Test added to Placement Constraints Custom Labels
  * 1.15.0 Release (#1044)
  * Typo fix in maven-example.md (#1021)
  * support node.labels at placement
* Tue Jul 10 2018 sweiberg@suse.com
- applying fixes for building package in Virtualization:containers
- drop set_version in obs-scm to support SLE
* Mon Jul  9 2018 sweiberg@suse.com
- following packaging guidelines for openSUSE
- still based on kompose-v1.15.0
* Mon Jul  9 2018 sweiberg@suse.com
- initial package for openSUSE
- kompose v1.15.0
